import '/models/tracked_type.dart';

class Asset extends TrackedType {
  static String amountText = "Amount";

  Asset({
    super.id,
    required super.name,
    required super.amount,
    required super.description,
  });

  factory Asset.fromMap(Map<String, dynamic> json) => Asset(
        id: json['id'],
        name: json['name'],
        amount: json['amount'],
        description: json['description'],
      );
}
